Package org.kapott.hbci.sepa

## Class PainVersion

- java.lang.Object
- - org.kapott.hbci.sepa.PainVersion

All Implemented Interfaces:
  `java.lang.Comparable<PainVersion>`

    @Deprecated
    public class PainVersion
    extends java.lang.Object
    implements java.lang.Comparable<PainVersion>

Deprecated.
Bitte `SepaVersion` verwenden.
Kapselt das Parsen und Vergleichen von SEPA Pain-Versionen.

### Nested Class Summary

Nested Classes
`static class` `PainVersion.Type` Deprecated. Enum fuer die Gruppierung der verschienden Typen von Geschaeftsvorfaellen.

### Field Summary

Fields
`static PainVersion` `PAIN_001_001_02` Deprecated.
`static PainVersion` `PAIN_001_001_03` Deprecated.
`static PainVersion` `PAIN_001_002_02` Deprecated.
`static PainVersion` `PAIN_001_002_03` Deprecated.
`static PainVersion` `PAIN_001_003_03` Deprecated.
`static PainVersion` `PAIN_002_001_03` Deprecated.
`static PainVersion` `PAIN_002_002_02` Deprecated.
`static PainVersion` `PAIN_002_003_03` Deprecated.
`static PainVersion` `PAIN_008_001_01` Deprecated.
`static PainVersion` `PAIN_008_001_02` Deprecated.
`static PainVersion` `PAIN_008_002_01` Deprecated.
`static PainVersion` `PAIN_008_002_02` Deprecated.
`static PainVersion` `PAIN_008_003_02` Deprecated.

### Constructor Summary

Constructors
`PainVersion​(java.lang.String urn)` Deprecated. Bitte stattdessen `byURN(String)` verwenden.
`PainVersion​(java.lang.String urn, java.lang.String file)` Deprecated. Bitte stattdessen `byURN(String)` verwenden.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static PainVersion` `autodetect​(java.io.InputStream xml)` Deprecated. Ermittelt die PAIN-Version aus dem uebergebenen XML-Stream.
`static PainVersion` `byURN​(java.lang.String urn)` Deprecated. Liefert die PAIN-Version aus dem URN.
`static PainVersion` `choose​(java.lang.String sepadesc, java.lang.String sepadata)` Deprecated. Die Bank sendet in ihren Antworten sowohl den SEPA-Deskriptor als auch die SEPA-Daten (die XML-Datei) selbst.
`int` `compareTo​(PainVersion v)` Deprecated.
`boolean` `equals​(java.lang.Object obj)` Deprecated.
`static PainVersion` `findGreatest​(java.util.List<PainVersion> list)` Deprecated. Findet in den der Liste die hoechste Pain-Version.
`java.lang.String` `getFile()` Deprecated. Liefert den Dateinamen des Schemas insofern bekannt.
`java.lang.String` `getGeneratorClass​(java.lang.String jobName)` Deprecated. Erzeugt den Namen der Java-Klasse des zugehoerigen SEPA-Generators.
`static java.util.List<PainVersion>` `getKnownVersions​(PainVersion.Type t)` Deprecated. Liefert eine Liste der bekannten PAIN-Versionen fuer den angegebenen Typ.
`int` `getMajor()` Deprecated. Liefert die Major-Versionsnumer.
`int` `getMinor()` Deprecated. Liefert die Minor-Versionsnumer.
`java.lang.String` `getParserClass()` Deprecated. Erzeugt den Namen der Java-Klasse des zugehoerigen SEPA-Parsers.
`java.lang.String` `getSchemaLocation()` Deprecated. Liefert einen String "<URN> <FILE>" zurueck, der im erzeugten XML als "xsi:schemaLocation" verwendet werden kann.
`PainVersion.Type` `getType()` Deprecated. Liefert den Typ der PAIN-Version.
`java.lang.String` `getURN()` Deprecated. Liefert die URN der PAIN-Version.
`int` `hashCode()` Deprecated.
`boolean` `isSupported​(java.lang.String jobName)` Deprecated. Prueft, ob die angegebene PAIN-Version fuer den angegebenen Job von HBCI4Java unterstuetzt wird.
`java.lang.String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PAIN_001_001_02

    public static PainVersion PAIN_001_001_02

Deprecated.

#### PAIN_001_002_02

    public static PainVersion PAIN_001_002_02

Deprecated.

#### PAIN_001_002_03

    public static PainVersion PAIN_001_002_03

Deprecated.

#### PAIN_001_003_03

    public static PainVersion PAIN_001_003_03

Deprecated.

#### PAIN_001_001_03

    public static PainVersion PAIN_001_001_03

Deprecated.

#### PAIN_002_002_02

    public static PainVersion PAIN_002_002_02

Deprecated.

#### PAIN_002_003_03

    public static PainVersion PAIN_002_003_03

Deprecated.

#### PAIN_002_001_03

    public static PainVersion PAIN_002_001_03

Deprecated.

#### PAIN_008_001_01

    public static PainVersion PAIN_008_001_01

Deprecated.

#### PAIN_008_002_01

    public static PainVersion PAIN_008_002_01

Deprecated.

#### PAIN_008_002_02

    public static PainVersion PAIN_008_002_02

Deprecated.

#### PAIN_008_003_02

    public static PainVersion PAIN_008_003_02

Deprecated.

#### PAIN_008_001_02

    public static PainVersion PAIN_008_001_02

Deprecated.

### Constructor Detail

#### PainVersion

    @Deprecated
    public PainVersion​(java.lang.String urn)

Deprecated.
Bitte stattdessen `byURN(String)` verwenden.
ct. Erzeugt eine neue PAIN-Version.

Parameters:
  `urn` - der URN.

#### PainVersion

    @Deprecated
    public PainVersion​(java.lang.String urn,
                       java.lang.String file)

Deprecated.
Bitte stattdessen `byURN(String)` verwenden.
ct. Erzeugt eine neue PAIN-Version.

Parameters:
  `urn` - der URN.
  `file` - Dateiname der Schema-Datei.

### Method Detail

#### byURN

    public static PainVersion byURN​(java.lang.String urn)

Deprecated.
Liefert die PAIN-Version aus dem URN.

Parameters:
  `urn` - URN. In der Form "urn:iso:std:iso:20022:tech:xsd:pain.001.002.03" oder in der alten Form "sepade.pain.001.001.02.xsd".
Returns:
  die PAIN-Version.

#### getSchemaLocation

    public java.lang.String getSchemaLocation()

Deprecated.
Liefert einen String "<URN> <FILE>" zurueck, der im erzeugten XML als "xsi:schemaLocation" verwendet werden kann.

Returns:
  Schema-Location oder NULL, wenn "file" nicht gesetzt wurde.

#### getGeneratorClass

    public java.lang.String getGeneratorClass​(java.lang.String jobName)

Deprecated.
Erzeugt den Namen der Java-Klasse des zugehoerigen SEPA-Generators.

Parameters:
  `jobName` - der Job-Name. Z.Bsp. "UebSEPA".
Returns:
  der Name der Java-Klasse des zugehoerigen SEPA-Generators.

#### getParserClass

    public java.lang.String getParserClass()

Deprecated.
Erzeugt den Namen der Java-Klasse des zugehoerigen SEPA-Parsers.

Returns:
  der Name der Java-Klasse des zugehoerigen SEPA-Parsers.

#### isSupported

    public boolean isSupported​(java.lang.String jobName)

Deprecated.
Prueft, ob die angegebene PAIN-Version fuer den angegebenen Job von HBCI4Java unterstuetzt wird.

Parameters:
  `jobName` - der Job-Name. Z.Bsp. "UebSEPA".
Returns:
  true, wenn sie unterstuetzt wird.

#### getType

    public PainVersion.Type getType()

Deprecated.
Liefert den Typ der PAIN-Version.

Returns:
  der Typ der PAIN-Version.

#### getMajor

    public int getMajor()

Deprecated.
Liefert die Major-Versionsnumer.

Returns:
  die Major-Versionsnumer.

#### getMinor

    public int getMinor()

Deprecated.
Liefert die Minor-Versionsnumer.

Returns:
  die Minor-Versionsnumer.

#### getURN

    public java.lang.String getURN()

Deprecated.
Liefert die URN der PAIN-Version.

Returns:
  die URN der PAIN-Version.

#### getFile

    public java.lang.String getFile()

Deprecated.
Liefert den Dateinamen des Schemas insofern bekannt.

Returns:
  der Dateiname des Schema oder null.

#### findGreatest

    public static PainVersion findGreatest​(java.util.List<PainVersion> list)

Deprecated.
Findet in den der Liste die hoechste Pain-Version.

Parameters:
  `list` - Liste mit PAIN-Versionen.
Returns:
  die hoechste Version oder NULL wenn die Liste leer ist.

#### getKnownVersions

    public static java.util.List<PainVersion> getKnownVersions​(PainVersion.Type t)

Deprecated.
Liefert eine Liste der bekannten PAIN-Versionen fuer den angegebenen Typ.

Parameters:
  `t` - der Typ.
Returns:
  Liste der bekannten PAIN-Versionen fuer den angegebenen Typ.

#### autodetect

    public static PainVersion autodetect​(java.io.InputStream xml)

Deprecated.
Ermittelt die PAIN-Version aus dem uebergebenen XML-Stream.

Parameters:
  `xml` - der XML-Stream. Achtung: Da der Stream hierbei gelesen werden muss, sollte eine Kopie des Streams uebergeben werden. Denn nach dem Lesen des Streams, kann er nicht erneut gelesen werden. Der Stream wird von dieser Methode nicht geschlossen. Das ist Aufgabe des Aufrufers.
Returns:
  die ermittelte PAIN-Version oder NULL wenn das XML-Document keine entsprechenden Informationen enthielt.

#### choose

    public static PainVersion choose​(java.lang.String sepadesc,
                                     java.lang.String sepadata)

Deprecated.
Die Bank sendet in ihren Antworten sowohl den SEPA-Deskriptor als auch die SEPA-Daten (die XML-Datei) selbst. Diese Funktion ermittelt sowohl aus dem SEPA-Deskriptor als auch aus den SEPA-Daten die angegebene PAIN-Version und vergleicht beide. Stimmen sie nicht ueberein, wird eine Warnung ausgegeben. Die Funktion liefert anschliessend die zum Parsen passende Version zurueck. Falls sich die angegebenen Versionen unterscheiden, wird die in den XML-Daten angegebene Version zurueckgeliefert. Siehe https://www.willuhn.de/bugzilla/show_bug.cgi?id=1806

Parameters:
  `sepadesc` - die in der HBCI-Nachricht angegebene PAIN-Version.
  `sepadata` - die eigentlichen XML-Daten.
Returns:
  die zum Parsen zu verwendende PAIN-Version. NULL, wenn keinerlei Daten angegeben wurden.

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `java.lang.Object`
See Also:
  `Object.hashCode()`

#### equals

    public boolean equals​(java.lang.Object obj)

Deprecated.

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `Object.equals(java.lang.Object)`

#### compareTo

    public int compareTo​(PainVersion v)

Deprecated.

Specified by:
  `compareTo` in interface `java.lang.Comparable<PainVersion>`
See Also:
  `Comparable.compareTo(java.lang.Object)`

#### toString

    public java.lang.String toString()

Deprecated.

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`